PublisherService
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl
Class PublisherService

    java.lang.Object
      GCUBEPortType
          org.gcube.application.aquamaps.aquamapsservice.impl.PublisherService

    public class PublisherService

extends GCUBEPortType

Constructor Summary
`PublisherService()`

Method Summary
`FileArray` | `getFileSetById(java.lang.String arg0)`
`java.lang.String` | `getJSONSubmittedByFilters(GetJSONSubmittedByFiltersRequestType arg0)`
`LayerInfoType` | `getLayerById(java.lang.String arg0)`
`MapArray` | `retrieveMapsByCoverage(RetrieveMapsByCoverageRequestType arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublisherService

    public PublisherService()

Method Detail

### retrieveMapsByCoverage

    public MapArray retrieveMapsByCoverage(RetrieveMapsByCoverageRequestType arg0)
                                    throws java.rmi.RemoteException,
                                           GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getFileSetById

    public FileArray getFileSetById(java.lang.String arg0)
                             throws java.rmi.RemoteException,
                                    GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getJSONSubmittedByFilters

    public java.lang.String getJSONSubmittedByFilters(GetJSONSubmittedByFiltersRequestType arg0)
                                               throws java.rmi.RemoteException,
                                                      GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getLayerById

    public LayerInfoType getLayerById(java.lang.String arg0)
                               throws java.rmi.RemoteException,
                                      GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD